View Issue Details

IDProjectCategoryView StatusLast Update
0001214SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.4 
Target Version3.4.5Fixed in Version3.4.5 
Summary0001214: reloadTable race condition
DescriptionreloadTable inserts sym_data, sym_data_event and sym_outgoing_batch. There can be a race condition where the sym_data event gets routed by the router if routing has already started when the event is inserted. Change the reloadTable method to insert into sym_table_reload_request

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master e25b8902

2013-05-14 15:05:34

chenson

Details Diff
0001214: reloadTable race condition
0001214
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TableReloadRequestKey.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2013-05-14 15:04 chenson New Issue
2013-05-14 15:04 chenson Status new => assigned
2013-05-14 15:04 chenson Assigned To => chenson
2013-05-14 15:38 chenson Status assigned => resolved
2013-05-14 15:38 chenson Fixed in Version => 3.4.5
2013-05-14 15:38 chenson Resolution open => fixed
2013-05-29 21:11 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7194
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7195
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e25b8902